<?php
class headnfootactions extends wv43v_action {
	public function initWPaction() {
		wp_enqueue_style ( 'headnfoot_style', $this->application ()->pluginuri () . '/application/public/css/style.css', null, $this->application ()->version () );
	}
	public function httpActionMeta($return) {
		$return ['priority'] = - 1;
		$return ['title']='HTTP';
		$return ['classes'] [] = 'v43v_icon16x16';
		$return ['classes'] [] = 'v43v_icon16x16_settings';
		return $return;
	}
	public function httpAction() {
		$this->view->title = $this->help('http')->render('HTTP');
		$this->view->column_count=1;
		$this->view->table_type='headnfoot_list';
		$this->view->columns = $this->render_script('headnfoot/columns.phtml');
		$this->view->data = $this->application ()->data()->post ( 'http' );
		$this->view->option='http';
		$this->view->heading = 'Headers';
		$this->view->array='header';
		$this->view->rows[] = $this->render_script('headnfoot/row.phtml');
		return $this->render_table();
	}
	public function blogActionMeta($return) {
		$return ['priority'] = - 1;
		$return ['link_name'] = 'Settings';
		$return ['classes'] [] = 'v43v_icon16x16';
		$return ['classes'] [] = 'v43v_icon16x16_settings';
		return $return;
	}
	public function blogAction() {
		$this->view->title = $this->help('blog')->render('Blog');
		$this->view->column_count=1;
		$this->view->table_type='headnfoot_list';
		$this->view->columns = $this->render_script('headnfoot/columns.phtml');
		$this->view->data = $this->application ()->data()->post ( 'blog' );
		$this->view->option='blog';
		$this->view->heading = 'Header';
		$this->view->array='header';
		$this->view->rows[] = $this->render_script('headnfoot/row.phtml');
		$this->view->heading = 'Footer';
		$this->view->array='footer';
		$this->view->rows[] = $this->render_script('headnfoot/row.phtml');
		return $this->render_table();
	}
	public function contentActionMeta($return) {
		$return ['priority'] = - 1;
		$return ['classes'] [] = 'v43v_icon16x16';
		$return ['classes'] [] = 'v43v_icon16x16_settings';
		return $return;
	}
	public function contentAction() {
		$this->view->title = $this->help('content')->render('Content');
		$this->view->column_count=1;
		$this->view->table_type='headnfoot_list';
		$this->view->columns = $this->render_script('headnfoot/columns.phtml');
		$this->view->data = $this->application ()->data()->post ( 'content' );
		$this->view->option='content';
		$this->view->heading = 'Header';
		$this->view->array='header';
		$this->view->rows[] = $this->render_script('headnfoot/row.phtml');
		$this->view->heading = 'Footer';
		$this->view->array='footer';
		$this->view->rows[] = $this->render_script('headnfoot/row.phtml');
		return $this->render_table();
	}
	public function headnfootWPmenuMeta($return) {
		$return ['title'] = $this->application()->name;
		return $return;
	}
	
	public function send_headersWPaction() {
		$headers = explode ( "\n", $this->application()->data ()->http ['header'] );
		foreach ( $headers as $header ) {
			$header = trim ( $header );
			if ($header != "") {
				header ( $header );
			}
		}
	}
	
	public function wp_headWPaction() {
		echo $this->application()->data ()->blog ['header'];
	}
	public function loop_startWPaction($wp_query) {
		global $wp_the_query;
		if ($wp_query === $wp_the_query && ! is_admin ()) {
			echo $this->application()->data ()->content ['header'];
		}
	}
	
	public function loop_endWPaction($wp_query) {
		global $wp_the_query;
		if ($wp_query === $wp_the_query && ! is_admin ()) {
			echo $this->application()->data ()->content ['footer'];
		}
	}
	
	public function wp_footerWPaction() {
		echo $this->application()->data ()->blog ['footer'];
	}
}
		